Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.zkforge.timeplot.geometry
Class DefaultTimeGeometry

    java.lang.Object
      org.zkforge.timeplot.geometry.DefaultTimeGeometry

All Implemented Interfaces:
  TimeGeometry

    public class DefaultTimeGeometry

extends java.lang.Object
implements TimeGeometry

Constructor Summary
`DefaultTimeGeometry()`

Method Summary
`java.lang.String` | `getAxisColor()`
`java.lang.String` | `getAxisLabelsPlacement()`
`java.lang.String` | `getGridColor()`
`float` | `getGridLineWidth()`
`int` | `getGridStep()`
`int` | `getGridStepRange()`
`int` | `getMax()`
`int` | `getMin()`
`int` | `getTimeGeometryId()`
`java.lang.String` | `getTimeValuePosition()`
`void` | `setAxisColor(java.lang.String axisColor)`
`void` | `setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)`
`void` | `setGridColor(java.lang.String gridColor)`
`void` | `setGridLineWidth(float gridLineWidth)`
`void` | `setGridStep(int gridStep)`
`void` | `setGridStepRange(int gridStepRange)`
`void` | `setMax(int max)`
`void` | `setMin(int min)`
`void` | `setTimeValuePosition(java.lang.String timeValuePosition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTimeGeometry

    public DefaultTimeGeometry()

Method Detail

### getAxisColor

    public java.lang.String getAxisColor()

  Specified by:
    `getAxisColor` in interface `TimeGeometry`

### setAxisColor

    public void setAxisColor(java.lang.String axisColor)

  Specified by:
    `setAxisColor` in interface `TimeGeometry`

### getAxisLabelsPlacement

    public java.lang.String getAxisLabelsPlacement()

  Specified by:
    `getAxisLabelsPlacement` in interface `TimeGeometry`

### setAxisLabelsPlacement

    public void setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)

  Specified by:
    `setAxisLabelsPlacement` in interface `TimeGeometry`

### getGridColor

    public java.lang.String getGridColor()

  Specified by:
    `getGridColor` in interface `TimeGeometry`

### setGridColor

    public void setGridColor(java.lang.String gridColor)

  Specified by:
    `setGridColor` in interface `TimeGeometry`

### getGridLineWidth

    public float getGridLineWidth()

  Specified by:
    `getGridLineWidth` in interface `TimeGeometry`

### setGridLineWidth

    public void setGridLineWidth(float gridLineWidth)

  Specified by:
    `setGridLineWidth` in interface `TimeGeometry`

### getGridStep

    public int getGridStep()

  Specified by:
    `getGridStep` in interface `TimeGeometry`

### setGridStep

    public void setGridStep(int gridStep)

  Specified by:
    `setGridStep` in interface `TimeGeometry`

### getGridStepRange

    public int getGridStepRange()

  Specified by:
    `getGridStepRange` in interface `TimeGeometry`

### setGridStepRange

    public void setGridStepRange(int gridStepRange)

  Specified by:
    `setGridStepRange` in interface `TimeGeometry`

### getMax

    public int getMax()

  Specified by:
    `getMax` in interface `TimeGeometry`

### setMax

    public void setMax(int max)

  Specified by:
    `setMax` in interface `TimeGeometry`

### getMin

    public int getMin()

  Specified by:
    `getMin` in interface `TimeGeometry`

### setMin

    public void setMin(int min)

  Specified by:
    `setMin` in interface `TimeGeometry`

### getTimeValuePosition

    public java.lang.String getTimeValuePosition()

  Specified by:
    `getTimeValuePosition` in interface `TimeGeometry`

### setTimeValuePosition

    public void setTimeValuePosition(java.lang.String timeValuePosition)

  Specified by:
    `setTimeValuePosition` in interface `TimeGeometry`

### getTimeGeometryId

    public int getTimeGeometryId()

  Specified by:
    `getTimeGeometryId` in interface `TimeGeometry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Potix Corporation. All Rights Reserved.